#!/usr/bin/env python
# -*- coding: utf-8 -*-
from __main__ import *
# version 2, 20_08_2014
def shapeRuler(x1,x2,y1,y2, v1,v2,v3,v4,v5,v6):
	an, al=(x2 - x1, y2 - y1)
	name="ruler_"
	bezs=[]
	if v6==0:
		name+='h'
		tot=int(an/v1)
		for n in range(tot):
			longM = n % v5
			hh = v3 if longM==0 else v2
			bezs.append([bezpnt([x1+n*v1,y1]),bezpnt([x1+n*v1,y1+hh])])
	else:
		name+='v'
		tot=int(al/v1)
		for n in range(tot):
			longM = n % v5
			hh = v3 if longM==0 else v2
			bezs.append([bezpnt([x1,y1+n*v1]),bezpnt([x1+hh,y1+n*v1])])
	return [name,bezs,'Liczba kresek:',tot,False]

SHAPES2['Ruler']={'tit':_('Linijka'),'def':shapeRuler,
	'labels':[[_("Odstęp pomiędzy kreskami:"),1.0,100.0,3.0],[_("Długość krótkiej kreski:"),1.0,100.0,10.0],[_("Długość dłuższej kreski:"),1.0,100.0,20.0],
			_("Kierunek:"),[_("Ilość pomiędzy długimi:"),2,200,5],[["Poziomy",0],["Pionowy",1]]]}
