#!/usr/bin/env python
# -*- coding: utf-8 -*-
from __main__ import *

def angBetween2pnts(P1,P2):
	rot = math.atan2(P2.y - P1.y, P2.x - P1.x)
	if rot<0: rot = rot+2*math.pi
	return rot

def shapeArch(x1,x2,y1,y2, v1,v2,v3,v5,v4,v6):
	bezs=[]
	an, al=(x2 - x1, y2 - y1)
	an2, al2=(an/2, al/2)
	p1=pnt2d(0,0)
	p2=pnt2d(an2,v1)
	ang=angBetween2pnts(p1,p2)
	side=math.sqrt(an2*an2+v1*v1)
	hypo=side/math.cos(ang)
	ang2=angBetween2pnts(pnt2d(an2,v1),pnt2d(hypo/2,0))
	ang2=math.radians(180)-ang2
	bezs=createArcBez(math.fabs(hypo/2.0), math.radians(180), ang2)
	arc2=createArcBez(math.fabs(hypo/2.0), math.radians(180)-ang2, math.radians(359.99999))
	for n in bezs: n.translate(x1+hypo/2.0,y1+v1)
	for n in arc2: n.translate(-hypo/2.0+x1+an,y1+v1)
	bezs.extend(arc2)
	if v1<al:
		bezs.extend([bezpnt([x2,y2]),bezpnt([x1,y2])])
	return [_("archgothic")+str(v1),bezs,'Minimalna wysokość: ','>'+str(an2),True]

SHAPES2['arch']={'tit':_('Okno gotyckie'),'def':shapeArch,'labels':[[_("Wysokość łuku (px): "),20.0],"-","-","Typ: ","-",[[_('Gothic'),0]]]}
