#!/usr/bin/env python
# -*- coding: utf-8 -*-
from __main__ import *

def createArcBez2(rad, sAng, eAng, posY=0.0):
	bezs =[]
	pi2 = math.pi * 2
	piOver2 = math.pi / 2.0
	sign = 1 if (sAng < eAng) else -1
	a1 = sAng
	totAng = min(math.pi*2, abs(eAng - sAng))
	while (totAng > EPSILON):
		a2 = a1 + sign * min(totAng, piOver2)
		bezs.extend(createSmallArcBez(rad, a1, a2))
		totAng = totAng - abs(a2 - a1)
		a1 = a2
	return bezs

def shapeDrop(x1,x2,y1,y2, v1,v2,v3,v4,v5,dir):
	an2=(x2-x1)/2
	al2=(y2-y1)/2
	catB=v2-v1
	catA=(y2-y1)-(v1+v2)
	rot=math.degrees(math.asin(catB/catA))
	b=createArcBez2(v1, math.radians(-rot),math.radians(-180+rot))
	for n in b:	n.translate(x1+an2,y1+v1)
	B=createArcBez2(v2, math.radians(180+rot),math.radians(-rot))
	for n in B:	n.translate(x1+an2,y2-v2)
	bezs=[]
	bezs.extend(b)
	bezs.extend(B)
	return [_("Drop"),bezs,'',0,True]

SHAPES2['drop']={'tit':_('Kropla'),'def':shapeDrop,'labels':[[_("Górny okrąg:"),0.0,200.0,50.0],[_("Dolny okrąg:"),0.0,200.0,90.0],"-","-","-","-"]}