#!/usr/bin/env python
# -*- coding: utf-8 -*-
from __main__ import *

def shapeRectSpikes(x1,x2,y1,y2, v1,v2,v3,v4,v5,dir):
	an=(x2-x1)
	al=(y2-y1)
	bezs=[]
	p1=[]
	p2=[]
	p3=[]
	v1=v1/2.0
	totX=int(an//(v1*2))
	totY=int(al//(v1*2))
	inix=(an % (v1*2)) / 2.0
	iniy=(al % (v1*2)) / 2.0
	if inix>0: 
	  p1.append([x1,y1])
	  p2.append([x1,y2])
	for i in range(0,totX):
		p1.extend([[i*v1*2+inix+x1,y1],[i*v1*2+v1+inix+x1,y1-v2]])
		p2.extend([[i*v1*2+inix+x1,y2],[i*v1*2+v1+inix+x1,y2+v2]])
	p1.append([totX*v1*2+inix+x1,y1])
	p2.append([totX*v1*2+inix+x1,y2])
	if inix>0: p2.append([x2,y2])
	if iniy>0: p1.append([x2,y1])
	for i in range(0,totY):
		p1.extend([[x2, i*v1*2+iniy+y1],[x2+v2, i*v1*2+v1+iniy+y1]])
		p3.extend([[x1, i*v1*2+iniy+y1],[x1-v2, i*v1*2+v1+iniy+y1]])
	p1.append([x2,   totY*v1*2+iniy+y1])
	p3.append([x1,   totY*v1*2+iniy+y1])
	p2=reversed(p2)
	p3=reversed(p3)
	bezs=[bezpnt([p[0],p[1]]) for p in p1]
	for p in p2:bezs.append(bezpnt([p[0],p[1]]))
	for p in p3:bezs.append(bezpnt([p[0],p[1]]))
	return [_("RectSpikes"),bezs,'',0,True]

def shapeSquaSpikes(x1,x2,y1,y2, v1,v2,v3,v4,v5,dir):
	an, al=(x2 - x1, y2 - y1)
	la = min(an,al)
	incX, incY = ((an-la) / 2.0,(al-la) / 2.0)
	iX,iY =(x1+incX,y1+incY)
	name='SquaSpikes'
	n,bzs,nn,nnn,nnnn=shapeRectSpikes(iX,iX+la,iY,iY+la, v1,v2,v3,v4,v5,dir)
	return [name,bzs,'',0,True]


SHAPES2['RectSpikes']={'tit':_('Prostokąt z kolcami'),'def':shapeRectSpikes,'labels':[[_("Szerokość: "),1.0,100.0,5.0],[_("Wysokość: "),1.0,100.0,5.0],'-','-','-','-']}
SHAPES2['SquaSpikes']={'tit':_('Kwadrat z kolcami'),'def':shapeSquaSpikes,'labels':[[_("Szerokość: "),1.0,100.0,5.0],[_("Wysokość: "),1.0,100.0,5.0],'-','-','-','-']}
